#!/bin/env python
# coding: iso-8859-1
import os, operator

print "<table>"
for file in os.listdir("logs/"):
	fileStats = {}
	songs = open("logs/%s" % file).readlines()
	for line in songs:
		line = line.strip()
		if line in fileStats:
			fileStats[line] = fileStats[line] + 1
		else:
			fileStats[line] = 1

	top10plays = 0
	for title in sorted(fileStats.items(), key=operator.itemgetter(1), reverse=True)[:10]:
		top10plays = top10plays + title[1]

	top50plays = 0
	for title in sorted(fileStats.items(), key=operator.itemgetter(1), reverse=True)[:50]:
		top50plays = top50plays + title[1]

	print "\t<tr>"
	print "\t\t<td>%s</td>" % file
	print "\t\t<td>%d</td>" % len(songs)
	print "\t\t<td>%d</td>" % (1.0 * top10plays / len(songs) * 100.0)
	print "\t\t<td>%d</td>" % (1.0 * top50plays / len(songs) * 100.0)
	print "\t</tr>"

print "</table>"
